*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

:root{
    --color1: rgb(27, 27, 27);
    --color2: rgba(226, 28, 33, 0.66);
    --color3: rgb(255, 245, 240);
    --color4: rgba(226, 28, 33, 0.7);
    --color5: rgba(226, 28, 33, 1);
    --color6: rgba(109, 7, 10, 0.66);
    --color7: rgb(236, 121, 105);
}

header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 10;
    color: white;
    backdrop-filter: blur(1px);
}

.profile-img{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    cursor: pointer;
    margin-right: 20px;
}

a{
    text-decoration: none;
    color: initial;
}
header a {
    color: white;
}

header a.active {
    color: red;
}


.header-links{
    display: none;
}

.toggle-btn{
    font-size: 25px;
    margin-right: 10px;
    z-index:30;
    cursor: pointer;
}

.header-dropdown{
    background-color: black;
    position: absolute;
    right: 10px;
    padding: 30px;
    top: 130px;
    min-width: 150px;

}

#dropdown{display: none;}



footer{
    padding: 50px 0;
    margin-left: 50px;
    font-size: 18px;
    color: white;
  }


@media screen and (min-width: 700px){
        footer{
            margin-left: 100px;
        }
}

@media screen and (min-width: 900px){
    header a {
        margin-right: 20px;
   
    }

    header{
        padding-top: 50px;
    }

    .header-links{
        display: flex;
        align-items: center;
    }

    .toggle-btn{
        display: none;
    }
}

@media screen and (max-width: 900px){
    .header-links{
        background-color: rgb(29, 28, 28);
        width: 100%;
        position: fixed;
        height: 100vh;
        z-index: 20;
        top: 0;
        text-align: center;
        animation: slideIn 1s 1;
        transition: 0.3s all;
    }

    @keyframes slideIn {
        0%{
            right: -1000px;
        }

        100%{
            right: 0;
        }
    }

    .header-links a{
        display: block;
        margin: 30px 20px;
    }
}
.popup-container{
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 30;
    background-image: url('../images/popup2.jpg');
    background-size: ccover;
    height: 100vh;
    overflow-y: auto; 
    animation: popup 4s 1;
    display: none;
}

@keyframes popup {
    0%{
        opacity: 0;
    }

    70%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

.popup{
    background-color: rgb(252, 220, 225);
    /* position: fixed;
    top: 0; */

    position: absolute;
  
    left: 5%;
    
    max-width: 90%;
    top: 10%;
    max-height: 85%;
        overflow-y: auto; 
}


.popup::-webkit-scrollbar {
    width: 0;
    display: none;
}
/* Hide the scrollbar for Firefox */
.popup {
    scrollbar-width: none;
}



input{
    background-color: transparent;
    border: none;
    border-bottom: 1px solid gray;
    padding: 10px 0;
    margin-bottom: 20px;
    width: 100%;
}

input:focus{
    border: none;
    outline: none;
    border: 2px solid red;
}

.popup-text{
    padding: 20px;
}

.popup-text button{
    border: 1px solid red;
    background-color: white;
    color: black;
    padding: 10px 20px;
    width: 100%;
}

.close-btn{
    border: 1px solid red;
    background-color: white;
    color: black;
    padding: 10px 20px;
    
    background-color: red;
    width: 150px;
}

.close{
    padding: 30px 0;
}

.popup-img1{
    display: none;
}

.popup img{
    width: 100%;
}

@media screen and (min-width: 800px){
    .popup{
        background-color: white;
        /* position: fixed; */
        top: 10%;
      
        left: 22%;
        
        max-width: 56%;
     
    }
    
    .popup-wrapper{
        display: flex;
        align-items: center;
        background-color: rgb(252, 220, 225);
    }

   

    .popup-img2{
        display: none;
    }

    .popup-img1{
        display: block;
    }

    
.popup img{
    width: auto;
}

}

.popup-bottom{
    background-color: rgb(252, 220, 225);
}

/* scroll to the top button */

#scrollBtn {
    display: none; /* Initially hide the button */
    position: fixed;
    bottom: 100px;
    right: 20px;
    z-index: 10;
    font-size: 18px;
    border: 1px solid white;
    outline: none;
    background-color: rgb(44, 43, 43); /* Button background color */
    color: white; /* Button text color */
    cursor: pointer;
    padding: 8px 10px;
    
  }
  
  #scrollBtn:hover {
    background-color: black; /* Button background color on hover */
  }
  

  .sidelinks{
    display: none;
  }

  .navbottomlinks{
    display: flex;
    display: flex;
    justify-content: center;
  }


  @media screen and (min-width: 800px){
    .sidelinks{
        display: flex;
        flex-direction: column;
        position: fixed;
        right: 10px;
        z-index: 20;
        bottom: 200px;
      }
    
      .sidelinks a {
        display: block;
        margin-bottom: 10px;
      }

      .navbottomlinks{
        display: none;
      }
  }

  #google_translate_element {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 1000;
    width: 100%;
  }
  .goog-te-combo {
    width: 100% !important;
    box-sizing: border-box;
    padding: 8px;
    border-radius: 4px;
  }
  .goog-te-banner-frame.skiptranslate {
    display: none !important;
}


button{
    cursor: pointer;
}

/* advertisement box */

.advertisement-box .sub{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
    text-align: center;
    max-width: 300px;
    height: 300px;
    width: 100%;
}


.btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
      border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  }
  
  .btn-primary {
      color: #fff !important;
      background-color: red !important;
      border-color: red !important;
    }